package com.sunxung.factoring.entity.sys.systemMsg.vo;

import com.sunxung.factoring.entity.BaseSearch;
import com.sunxung.factoring.entity.sys.Dictionary;

/**
 * @description:消息查询辅助类
 * @author:吴端丽
 * @e-mail:1912942707@qq.com
 * @date:2018年3月20日 下午3:13:56
 */
public class SearchSystemMsg extends BaseSearch {

    /** 发件人 **/
    private Long senderId;
    /** 消息状态 **/
    private Boolean pushState;
    /** 消息类型 **/
    private Dictionary msgType;
    /** 标题、内容 **/
    private String keyWord;
    /** 是否删除（消息发送人是否删除） **/
    private Boolean remove;
    /** 接收人 **/
    private Long receiverUserId;
    /** 是否已读 **/
    private Boolean readState;
    /** 是否删除（消息接收人是否删除） **/
    private Boolean receiverRemove;

    public Long getSenderId() {
        return senderId;
    }

    public void setSenderId(Long senderId) {
        this.senderId = senderId;
    }

    public Boolean getPushState() {
        return pushState;
    }

    public void setPushState(Boolean pushState) {
        this.pushState = pushState;
    }

    public Dictionary getMsgType() {
        return msgType;
    }

    public void setMsgType(Dictionary msgType) {
        this.msgType = msgType;
    }

    public String getKeyWord() {
        return keyWord;
    }

    public void setKeyWord(String keyWord) {
        this.keyWord = keyWord;
    }

    public Boolean getRemove() {
        return remove;
    }

    public void setRemove(Boolean remove) {
        this.remove = remove;
    }

    public Long getReceiverUserId() {
        return receiverUserId;
    }

    public void setReceiverUserId(Long receiverUserId) {
        this.receiverUserId = receiverUserId;
    }

    public Boolean getReadState() {
        return readState;
    }

    public void setReadState(Boolean readState) {
        this.readState = readState;
    }

    public Boolean getReceiverRemove() {
        return receiverRemove;
    }

    public void setReceiverRemove(Boolean receiverRemove) {
        this.receiverRemove = receiverRemove;
    }
}
